<?php
/**
 * モジュール
 */
class Platy_Module
{
    /**
     * インストール
     */
    public function install()
    {
        return true;
    }
    
    /**
     * アンインストール
     */
    public function uninstall()
    {
        return true;
    }
    
    public function getName()
    {
        return '';
    }
    
    public function getTitle()
    {
        return '';
    }
    
    public function getSummary()
    {
        return '';
    }
    
    public function getAuthor()
    {
        return '';
    }
    
    public function getVersion()
    {
        return '';
    }
    
    /**
     * モジュール内検索
     */
    public function search($keyword)
    {
    }
    
    /**
     * プレ実行
     * ページの開始時に必ず実行したい処理がある場合は、
     * preDispatch() を定義し、処理を記述します。
     * (例) アクセス情報の記録
     */
//    public function preDispatch()
//    {
//    }
}
?>